<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">AGDerivationTree Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a58b03c9087ddc4459c30f1899ad1e308">AGDerivationTree</a>(bool recycleNodes=false)</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#ac7f8b0b6b5687cea9e643038168200b2">AGDerivationTree</a>(const AGDerivationTree &amp;copy)</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a7dcc75adc9c71332ab3e82fb1f4c10bf">clearSubtreeBelow</a>(AGTree &amp;node, bool recycleNodes)</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a1819aecf2bc1c6e9055e2760bb3ac08d">clearTree</a>()</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a5ab0d59fc8caa624fc437d594c7248b3">getTree</a>() const</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#ab4fd402c5f10d3fecaed8ce1abf4eccc">isRecycling</a>() const</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a8a20134a7d0766af81ebff93212ecce0">loadPhenotype</a>(Phenotype *pheno)</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a243b8da03396e5de3c83731eb18253b0">printTree</a>()</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a17717edd750503ba3a1ffcf32daf0333">recycle</a></td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a0c6842e306b21e7b063f885bfc0bc707">setTree</a>(AGTree *newTree)</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a56610bd9c470322aa9b61aca84367ce3">traverseTree</a>(AGTree &amp;currentNode, TraversalReason reason, bool recycleNodes, Phenotype *pheno=NULL)</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a2146a0df4c4d64ea61e5760c058a0d4c">tree</a></td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_a_g_derivation_tree.html#a0667208b91dcea5be3479d427163b1fc">~AGDerivationTree</a>()</td><td class="entry"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
